%global srcname sqlalchemy_schemadisplay

Name:           python-%{srcname}
Version:        1.3
Release:        5%{?dist}
Summary:        Turn SQLAlchemy DB Model into a graph

License:        MIT
URL:            https://github.com/fschulze/%{srcname}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Turn SQLAlchemy DB Model into a graph.


%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       graphviz
Requires:       python2-setuptools
Requires:       python2-sqlalchemy
Requires:       python2-pydot
BuildRequires:  graphviz
BuildRequires:  python2-devel
BuildRequires:  python2-pydot
BuildRequires:  python2-pytest
BuildRequires:  python2-setuptools
BuildRequires:  python2-sqlalchemy
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Turn SQLAlchemy DB Model into a graph.

%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build


%install
%py2_install


%check
PYTHONPATH=$(pwd) py.test tests/


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 03 2017 Jeremy Cline <jeremy@jcline.org> - 1.3-1
- Initial package.
